package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 客户联系人对象 crm_customer_contacts
 * 
 * @author fs
 * @date 2023-03-14
 */
public class CrmCustomerContacts extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long contactsId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long customerId;

    /** 联系人名称 */
    @Excel(name = "联系人名称")
    private String name;

    /** 手机 */
    @Excel(name = "手机")
    private String mobile;

    /** 电子邮箱 */
    @Excel(name = "电子邮箱")
    private String email;

    /** 部门 */
    @Excel(name = "部门")
    private String weixin;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** $column.columnComment */
    @Excel(name = "是否删除")
    private Long companyId;

    public void setContactsId(Long contactsId) 
    {
        this.contactsId = contactsId;
    }

    public Long getContactsId() 
    {
        return contactsId;
    }
    public void setCustomerId(Long customerId) 
    {
        this.customerId = customerId;
    }

    public Long getCustomerId() 
    {
        return customerId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }
    public void setWeixin(String weixin) 
    {
        this.weixin = weixin;
    }

    public String getWeixin() 
    {
        return weixin;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setCreateUserId(Long createUserId) 
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId() 
    {
        return createUserId;
    }
    public void setIsDel(Integer isDel) 
    {
        this.isDel = isDel;
    }

    public Integer getIsDel() 
    {
        return isDel;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("contactsId", getContactsId())
            .append("customerId", getCustomerId())
            .append("name", getName())
            .append("mobile", getMobile())
            .append("email", getEmail())
            .append("weixin", getWeixin())
            .append("address", getAddress())
            .append("remark", getRemark())
            .append("createUserId", getCreateUserId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("companyId", getCompanyId())
            .toString();
    }
}
